#!/usr/bin/env python
# -*- coding: utf-8 -*-

# example frame.py

import pygtk
pygtk.require('2.0')
import gtk

class FrameExample:
    def __init__(self):
        # Create a new window
        window = gtk.Window(gtk.WINDOW_TOPLEVEL)
        window.set_title("Créditos de Hacks for XO")

        # Here we connect the "destroy" event to a signal handler 
        window.connect("destroy", lambda w: gtk.main_quit())
        window.set_size_request(500, 200)

        # Sets the border width of the window.
        window.set_border_width(10)

        # Create a Frame
        frame = gtk.Frame()
        window.add(frame)

        # Set the frame's label
        frame.set_label("Créditos\n--------------\nTrucos for XO.\nFue creado por:\nIgnacio Rodríguez\n EMAIL:<nachoel01@gmail.com> ")

        # Align the label at the right of the frame
        frame.set_label_align(0.0, 0.0)

        # Set the style of the frame
        frame.set_shadow_type(gtk.SHADOW_ETCHED_OUT)
        frame.show()
  
        # Display the window
        window.show()

def main():
    # Enter the event loop
    gtk.main()
    return 0

if __name__ == "__main__":
    FrameExample()
    main()
